/************************************************************************
 *   IRC - Internet Relay Chat, admin/admin.c
 *   This file is copyright (C) 2001 Andrew Suffield
 *                                    <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "config.h"
#include "msg.h"
#include "modules.h"
#include "parse.h"
#include "admin.h"

MODULE("admin")

static struct module_handle *mh;
static char desc[] = "Network admin stuff";
static char admin_version[] = RELEASE;

#ifdef STATIC_MODULES
struct module_handle *
admin_init(void)
#else
struct module_handle *
_modinit(void)
#endif
{
  if (!(mh = register_module(_name, desc, admin_version, NULL)))
    return NULL;

  mod_add_cmd(&add_msgtab, mh);
  mod_add_cmd(&close_msgtab, mh);
  mod_add_cmd(&connect_msgtab, mh);
  mod_add_cmd(&del_msgtab, mh);
  mod_add_cmd(&die_msgtab, mh);
  mod_add_cmd(&dump_msgtab, mh);
  mod_add_cmd(&htm_msgtab, mh);
  mod_add_cmd(&rehash_msgtab, mh);
  mod_add_cmd(&restart_msgtab, mh);
  mod_add_cmd(&setname_msgtab, mh);
  mod_add_cmd(&sethost_msgtab, mh);
  mod_add_cmd(&setident_msgtab, mh);
  return mh;
}
